Assign a cash flow category to transactions
curl --request POST \
--url https://thirdparty.qonto.com/v2/cash_flow_categories/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
"019259fb-8731-767a-b8fd-9206aa052e3d"
],
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa"
}
'import requests
url = "https://thirdparty.qonto.com/v2/cash_flow_categories/assignments"
payload = {
"transaction_ids": ["019259fb-8731-767a-b8fd-9206aa052e3d"],
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_ids: ['019259fb-8731-767a-b8fd-9206aa052e3d'],
category_id: '3786f44c-a2e1-472e-870d-4cdb152b33fa'
})
};
fetch('https://thirdparty.qonto.com/v2/cash_flow_categories/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_ids": [
"019259fb-8731-767a-b8fd-9206aa052e3d"
],
"category_id": "3786f44c-a2e1-472e-870d-4cdb152b33fa"
}Cash flow categories
Assign a cash flow category to transactions
OAuth scope: cash_flow_category.write
Assigns a cash flow category (or subcategory) to one or more transactions. The assignment replaces any cash flow category previously set on those transactions.
Notes:
- Up to
100transactions can be assigned in a single call. - When a category has subcategories, you must assign one of its leaf subcategories — assigning the parent category itself is rejected.
- To clear an existing assignment, use Unassign a cash flow category from transactions.
POST
/
v2
/
cash_flow_categories
/
assignments
Assign a cash flow category to transactions
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Was this page helpful?